## ukui-interface 1.0.0

=== debian/changelog ===
ukui-interface (1.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #941256)

 -- handsome_feng <jianfengli@ubuntukylin.com>  Mon, 13 Jan 2020 11:32:20 +0800
