=== debian/control ===
Source: ukui-interface
Section: libs
Priority: optional
Maintainer: Kylin Team <team+kylin@tracker.debian.org>
Uploaders: handsome_feng <jianfengli@ubuntukylin.com>
Build-Depends: debhelper-compat (=12),
               libglib2.0-dev (>= 2.36),
               autoconf,
               automake,
               libtool,
               qtbase5-dev
Standards-Version: 4.4.1
Rules-Requires-Root: no
Homepage: https://github.com/ukui/ukui-interface
Vcs-Browser: https://github.com/ukui/ukui-interface
Vcs-Git: https://github.com/ukui/ukui-interface.git

Package: libukui-print0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: print module
 UKUI interface provides the interface for system configuration
 and related libraries.
 .
 The package contains print libraries.

Package: libukui-print-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libukui-print0 (= ${binary:Version})
Description: print interface
 UKUI interface provides the interface for system configuration
 and related libraries.
 .
 The package contains development files for printing.

Package: libukui-gsettings0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: application settings module
 UKUI interface provides the interface for system configuration
 and related libraries.
 .
 The package contains application settings libraries.

Package: libukui-gsettings-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
	${misc:Depends},
	libukui-gsettings0 (= ${binary:Version})
Description: application settings interface
 UKUI interface provides the interface for system configuration
 and related libraries.
 .
 The package contains development files for application settings.

Package: ukui-backgroundserver
Architecture: any
Depends: ${shlibs:Depends},
        ${misc:Depends},
        libukui-print0 (= ${binary:Version}),
        libukui-gsettings0 (= ${binary:Version})
Description: background settings service process
 UKUI interface provides the interface for system configuration
 and related libraries.
 .
 The package contains background settings service process.

Package: libukui-backgroundclient0
Architecture: any
Depends: ${shlibs:Depends},
	${misc:Depends},
	libukui-print0 (= ${binary:Version}),
	libukui-gsettings0 (= ${binary:Version}),
	ukui-backgroundserver (= ${binary:Version})
Description: background settings module
 UKUI interface provides the interface for system configuration
 and related libraries.
 .
 The package contains background settings libraries.

Package: libukui-backgroundclient-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
	${misc:Depends},
	libukui-backgroundclient0 (= ${binary:Version})
Description: background settings interfaces
 UKUI interface provides the interface for system configuration
 and related libraries.
 .
 The package contains development files for background settings.

Package: libukui-datesetting0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: date settings module
 UKUI interface provides the interface for system configuration
 and related libraries.
 .
 The package contains date settings libraries.

Package: libukui-datesetting-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
        ${misc:Depends},
        libukui-datesetting0 (= ${binary:Version})
Description: date settings interfaces
 UKUI interface provides the interface for system configuration
 and related libraries.
 .
 The package contains development files for date settings.

Package: libukui-defaultprograms0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: default programs settings module
 UKUI interface provides the interface for system configuration
 and related libraries.
 .
 The package contains default programs settings libraries.

Package: libukui-defaultprograms-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
        ${misc:Depends},
        libukui-defaultprograms0 (= ${binary:Version})
Description: default programs settings interfaces
 UKUI interface provides the interface for system configuration
 and related libraries.
 .
 The package contains development files for default programs settings.

Package: ukui-desktopserver
Architecture: any
Depends: ${shlibs:Depends},
        ${misc:Depends},
        libukui-print0 (= ${binary:Version}),
        libukui-gsettings0 (= ${binary:Version})
Description: desktop settings service process
 UKUI interface provides the interface for system configuration
 and related libraries.
 .
 The package contains desktop settings service process.

Package: libukui-desktopclient0
Architecture: any
Depends: ${shlibs:Depends},
	${misc:Depends},
	libukui-print0 (= ${binary:Version}),
	libukui-gsettings0 (= ${binary:Version}),
	ukui-desktopserver (= ${binary:Version})
Description: desktop settings module
 UKUI interface provides the interface for system configuration
 and related libraries.
 .
 The package contains desktop settings libraries.

Package: libukui-desktopclient-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
        ${misc:Depends},
        libukui-desktopclient0 (= ${binary:Version})
Description: desktop settings interfaces
 UKUI interface provides the interface for system configuration
 and related libraries.
 .
 The package contains development files for desktop settings.

Package: ukui-fontserver
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
        libukui-print0 (= ${binary:Version}),
        libukui-gsettings0 (= ${binary:Version})
Description: font settings service process
 UKUI interface provides the interface for system configuration
 and related libraries.
 .
 The package contains font settings service process.

Package: libukui-fontclient0
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	libukui-print0 (= ${binary:Version}),
	libukui-gsettings0 (= ${binary:Version}),
	ukui-fontserver (= ${binary:Version})
Description: font settings module
 UKUI interface provides the interface for system configuration
 and related libraries.
 .
 The package contains font settings libraries.

Package: libukui-fontclient-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
        ${misc:Depends},
        libukui-fontclient0 (= ${binary:Version})
Description: font settings interfaces
 UKUI interface provides the interface for system configuration
 and related libraries.
 .
 The package contains development files for font settings.

Package: ukui-interfaceserver
Architecture: any
Depends: ${shlibs:Depends},
        ${misc:Depends},
        libukui-print0 (= ${binary:Version}),
        libukui-gsettings0 (= ${binary:Version})
Description: interface settings service process
 UKUI interface provides the interface for system configuration
 and related libraries.
 .
 The package contains interface settings service process.

Package: libukui-interfaceclient0
Architecture: any
Depends: ${shlibs:Depends},
	${misc:Depends},
	libukui-print0 (= ${binary:Version}),
	libukui-gsettings0 (= ${binary:Version}),
	ukui-interfaceserver (= ${binary:Version})
Description: interface settings module
 UKUI interface provides the interface for system configuration
 and related libraries.
 .
 The package contains interface settings libraries.

Package: libukui-interfaceclient-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
        ${misc:Depends},
        libukui-interfaceclient0 (= ${binary:Version})
Description: interface settings interfaces
 UKUI interface provides the interface for system configuration
 and related libraries.
 .
 The package contains development files for interface settings.

Package: ukui-keyboardserver
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
        libukui-print0 (= ${binary:Version}),
        libukui-gsettings0 (= ${binary:Version})
Description: keyboard settings service process
 UKUI interface provides the interface for system configuration
 and related libraries.
 .
 The package contains keyboard settings service process.

Package: libukui-keyboardclient0
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	libukui-print0 (= ${binary:Version}),
	libukui-gsettings0 (= ${binary:Version}),
	ukui-keyboardserver (= ${binary:Version})
Description: keyboard settings module
 UKUI interface provides the interface for system configuration
 and related libraries.
 .
 The package contains keyboard settings libraries.

Package: libukui-keyboardclient-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
        ${misc:Depends},
        libukui-keyboardclient0 (= ${binary:Version})
Description: keyboard settings interfaces
 UKUI interface provides the interface for system configuration
 and related libraries.
 .
 The package contains development files for keyboard settings.

Package: ukui-marcogeneralserver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: marcogeneral settings service process
 UKUI interface provides the interface for system configuration
 and related libraries.
 .
 The package contains marcogeneral settings service process.

Package: libukui-marcogeneralclient0
Architecture: any
Depends: ${shlibs:Depends},
	${misc:Depends},
	ukui-marcogeneralserver (= ${binary:Version})
Description: marcogeneral settings module
 UKUI interface provides the interface for system configuration
 and related libraries.
 .
 The package contains marcogeneral settings libraries.

Package: libukui-marcogeneralclient-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
        ${misc:Depends},
        libukui-marcogeneralclient0 (= ${binary:Version})
Description: marcogeneral settings interfaces
 UKUI interface provides the interface for system configuration
 and related libraries.
 .
 The package contains development files for marcogeneral settings.

Package: ukui-mouseserver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: mouse settings service process
 UKUI interface provides the interface for system configuration
 and related libraries.
 .
 The package contains mouse settings service process.

Package: libukui-mouseclient0
Architecture: any
Depends: ${shlibs:Depends},
	${misc:Depends},
	ukui-mouseserver (= ${binary:Version})
Description: mouse settings module
 UKUI interface provides the interface for system configuration
 and related libraries.
 .
 The package contains mouse settings libraries.

Package: libukui-mouseclient-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
        ${misc:Depends},
        libukui-mouseclient0 (= ${binary:Version})
Description: mouse settings interfaces
 UKUI interface provides the interface for system configuration
 and related libraries.
 .
 The package contains development files for mouse settings.

Package: libukui-network0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: network settings module
 UKUI interface provides the interface for system configuration
 and related libraries.
 .
 The package contains network settings libraries.

Package: libukui-network-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
        ${misc:Depends},
        libukui-network0 (= ${binary:Version})
Description: network settings interfaces
 UKUI interface provides the interface for system configuration
 and related libraries.
 .
 The package contains development files for network settings.

Package: ukui-powerserver
Architecture: any
Depends: ${shlibs:Depends},
        ${misc:Depends},
        libukui-print0 (= ${binary:Version}),
        libukui-gsettings0 (= ${binary:Version})
Description: power settings service process
 UKUI interface provides the interface for system configuration
 and related libraries.
 .
 The package contains power settings service process.

Package: libukui-powerclient0
Architecture: any
Depends: ${shlibs:Depends},
	${misc:Depends},
