=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ukui-interface-$1\.tar\.gz/ \
  https://github.com/ukui/ukui-interface/releases .*/v?(\d\S+)\.tar\.gz
