## ukui-interface 1.0.1

=== debian/changelog ===
ukui-interface (1.0.1-3) unstable; urgency=medium

  * Add libcrypt-dev to Build-Depends. (Closes: #1106948)
  * Add Multi-Arch: same to libukui-common0, libukui-gsettings0,
    libukui-network0, libukui-print0, libukui-usersettings0.
  * Update d/watch to version 5.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 09 Dec 2025 11:33:59 +0800

ukui-interface (1.0.1-2) unstable; urgency=medium

  * Source only upload for migration to testing.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Tue, 02 Nov 2021 14:53:40 +0800

ukui-interface (1.0.1-1) unstable; urgency=medium

  [ handsome_feng ]
  * New upstream release.
  * debian: update copyright and watch.

  [ Debian Janior ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.5.0, no changes needed.

 -- handsome_feng <jianfengli@ubuntukylin.com>  Fri, 29 Oct 2021 17:17:52 +0800
