=== debian/control ===
--- 
+++ 
@@ -8,8 +8,12 @@
                autoconf,
                automake,
                libtool,
-               qtbase5-dev
-Standards-Version: 4.4.1
+               qtbase5-dev,
+               libgsettings-qt-dev,
+               qttools5-dev-tools,
+               libiniparser-dev,
+               libcrypt-dev,
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/ukui/ukui-interface
 Vcs-Browser: https://github.com/ukui/ukui-interface
@@ -17,6 +21,7 @@
 
 Package: libukui-print0
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: print module
  UKUI interface provides the interface for system configuration
@@ -27,8 +32,7 @@
 Package: libukui-print-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
+Depends: ${misc:Depends},
          libukui-print0 (= ${binary:Version})
 Description: print interface
  UKUI interface provides the interface for system configuration
@@ -38,6 +42,7 @@
 
 Package: libukui-gsettings0
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: application settings module
  UKUI interface provides the interface for system configuration
@@ -48,8 +53,7 @@
 Package: libukui-gsettings-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends},
-	${misc:Depends},
+Depends: ${misc:Depends},
 	libukui-gsettings0 (= ${binary:Version})
 Description: application settings interface
  UKUI interface provides the interface for system configuration
@@ -85,8 +89,7 @@
 Package: libukui-backgroundclient-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends},
-	${misc:Depends},
+Depends: ${misc:Depends},
 	libukui-backgroundclient0 (= ${binary:Version})
 Description: background settings interfaces
  UKUI interface provides the interface for system configuration
@@ -94,48 +97,6 @@
  .
  The package contains development files for background settings.
 
-Package: libukui-datesetting0
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: date settings module
- UKUI interface provides the interface for system configuration
- and related libraries.
- .
- The package contains date settings libraries.
-
-Package: libukui-datesetting-dev
-Architecture: any
-Section: libdevel
-Depends: ${shlibs:Depends},
-        ${misc:Depends},
-        libukui-datesetting0 (= ${binary:Version})
-Description: date settings interfaces
- UKUI interface provides the interface for system configuration
- and related libraries.
- .
- The package contains development files for date settings.
-
-Package: libukui-defaultprograms0
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: default programs settings module
- UKUI interface provides the interface for system configuration
- and related libraries.
- .
- The package contains default programs settings libraries.
-
-Package: libukui-defaultprograms-dev
-Architecture: any
-Section: libdevel
-Depends: ${shlibs:Depends},
-        ${misc:Depends},
-        libukui-defaultprograms0 (= ${binary:Version})
-Description: default programs settings interfaces
- UKUI interface provides the interface for system configuration
- and related libraries.
- .
- The package contains development files for default programs settings.
-
 Package: ukui-desktopserver
 Architecture: any
 Depends: ${shlibs:Depends},
@@ -164,8 +125,7 @@
 Package: libukui-desktopclient-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends},
-        ${misc:Depends},
+Depends: ${misc:Depends},
         libukui-desktopclient0 (= ${binary:Version})
 Description: desktop settings interfaces
  UKUI interface provides the interface for system configuration
@@ -201,8 +161,7 @@
 Package: libukui-fontclient-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends},
-        ${misc:Depends},
+Depends: ${misc:Depends},
         libukui-fontclient0 (= ${binary:Version})
 Description: font settings interfaces
  UKUI interface provides the interface for system configuration
@@ -238,8 +197,7 @@
 Package: libukui-interfaceclient-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends},
-        ${misc:Depends},
+Depends: ${misc:Depends},
         libukui-interfaceclient0 (= ${binary:Version})
 Description: interface settings interfaces
  UKUI interface provides the interface for system configuration
@@ -275,8 +233,7 @@
 Package: libukui-keyboardclient-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends},
-        ${misc:Depends},
+Depends: ${misc:Depends},
         libukui-keyboardclient0 (= ${binary:Version})
 Description: keyboard settings interfaces
  UKUI interface provides the interface for system configuration
@@ -307,8 +264,7 @@
 Package: libukui-marcogeneralclient-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends},
-        ${misc:Depends},
+Depends: ${misc:Depends},
         libukui-marcogeneralclient0 (= ${binary:Version})
 Description: marcogeneral settings interfaces
  UKUI interface provides the interface for system configuration
@@ -339,8 +295,7 @@
 Package: libukui-mouseclient-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends},
-        ${misc:Depends},
+Depends: ${misc:Depends},
         libukui-mouseclient0 (= ${binary:Version})
 Description: mouse settings interfaces
  UKUI interface provides the interface for system configuration
@@ -350,6 +305,7 @@
 
 Package: libukui-network0
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: network settings module
  UKUI interface provides the interface for system configuration
@@ -360,8 +316,7 @@
 Package: libukui-network-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends},
-        ${misc:Depends},
+Depends: ${misc:Depends},
         libukui-network0 (= ${binary:Version})
 Description: network settings interfaces
  UKUI interface provides the interface for system configuration
@@ -385,3 +340,47 @@
 Architecture: any
 Depends: ${shlibs:Depends},
 	${misc:Depends},
+	libukui-print0 (= ${binary:Version}),
+	libukui-gsettings0 (= ${binary:Version}),
+	ukui-powerserver (= ${binary:Version})
+Description: power settings module
+ UKUI interface provides the interface for system configuration
+ and related libraries.
+ .
+ The package contains power settings libraries.
+
+Package: libukui-powerclient-dev
+Architecture: any
+Section: libdevel
+Depends: ${misc:Depends},
+        libukui-powerclient0 (= ${binary:Version})
+Description: power settings interfaces
+ UKUI interface provides the interface for system configuration
+ and related libraries.
+ .
+ The package contains development files for power settings.
+
+Package: ukui-screensaverserver
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: screensaver settings service process
+ UKUI interface provides the interface for system configuration
+ and related libraries.
+ .
+ The package contains screensaver settings service process.
+
+Package: libukui-screensaverclient0
+Architecture: any
+Depends: ${shlibs:Depends},
+	${misc:Depends},
+	ukui-screensaverserver (= ${binary:Version})
+Description: screensaver settings module
+ UKUI interface provides the interface for system configuration
+ and related libraries.
+ .
+ The package contains screensaver settings libraries.
+
+Package: libukui-screensaverclient-dev
+Architecture: any
+Section: libdevel
+Depends: ${misc:Depends},
